Features
Date: 2016-06-23

org.bouncycastle.bcpg.sig

## Class Features

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.Features

-     public class Features
      extends SignatureSubpacket

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `FEATURE_MODIFICATION_DETECTION` Identifier for the modification detection feature

    - ### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

      `data`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Features(boolean critical, boolean isLongLength, byte[] data)`
    `Features(boolean critical, byte feature)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsFeature(byte feature)` Returns if a particular feature is supported.
    `boolean` | `supportsModificationDetection()` Returns if modification detection is supported.

    - ### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

      `encode, getData, getType, isCritical, isLongLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FEATURE_MODIFICATION_DETECTION

          public static final byte FEATURE_MODIFICATION_DETECTION

      Identifier for the modification detection feature
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Features

          public Features(boolean critical,
                  boolean isLongLength,
                  byte[] data)

    - #### Features

          public Features(boolean critical,
                  byte feature)

  - ### Method Detail

    - #### supportsModificationDetection

          public boolean supportsModificationDetection()

      Returns if modification detection is supported.

    - #### supportsFeature

          public boolean supportsFeature(byte feature)

      Returns if a particular feature is supported.